/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\BDTAXC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_TAXCATEGORY' AND KSQL_COL_NAME ='FTAXPRECISION') 
 ALTER TABLE T_BD_TAXCATEGORY ADD (FTAXPRECISION BIGINT DEFAULT 2 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_TAXRATE' AND KSQL_COL_NAME ='FTAXATIONSYS') 
 ALTER TABLE T_BD_TAXRATE ADD (FTAXATIONSYS BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_TAXRATE' AND KSQL_COL_NAME ='FVALUETYPE') 
 ALTER TABLE T_BD_TAXRATE ADD (FVALUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_TAXRATE' AND KSQL_COL_NAME ='FTAXUNIT') 
 ALTER TABLE T_BD_TAXRATE ADD (FTAXUNIT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_TAXRATE' AND KSQL_COL_NAME ='FTAXRATETYPE') 
 ALTER TABLE T_BD_TAXRATE ADD (FTAXRATETYPE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_TAXRATETYPE') 
 CREATE TABLE T_BD_TAXRATETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_TAXRATETYPE_L') 
 CREATE TABLE T_BD_TAXRATETYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\BDTAXC_table.sql **/
